PaidGoods
API referenceMarketing

Delivery and engagement for a campaign

GET
/v1/stores/{storeId}/marketing/campaigns/{campaignId}/stats

Authorization

AuthorizationBearer <token>

API key from Settings → API keys

In: header

Path Parameters

storeId*string
campaignId*string

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/stores/string/marketing/campaigns/string/stats"
{  "campaign": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "subject": "string",    "fromName": "string",    "replyTo": "string",    "templateId": "196100ac-4eec-4fb6-a7f7-86c8b584771d",    "bodyHtml": "string",    "listIds": [      "c7a21cbc-af13-44a0-a386-d8874efcf0e3"    ],    "segmentRules": {      "minTotalSpentMinor": "string",      "maxTotalSpentMinor": "string",      "minOrdersCount": 0,      "maxOrdersCount": 0,      "lastOrderOlderThanDays": 1,      "lastOrderWithinDays": 1,      "productIds": [        "ab269553-289b-4dda-82f7-ac36b3555fb3"      ]    },    "throttlePerMinute": -9007199254740991,    "state": "draft",    "scheduledAt": "string",    "startedAt": "string",    "sentAt": "string",    "totalRecipients": -9007199254740991,    "sentCount": -9007199254740991,    "failedCount": -9007199254740991,    "suppressedCount": -9007199254740991,    "bounceCount": -9007199254740991,    "openCount": -9007199254740991,    "clickCount": -9007199254740991,    "unsubscribeCount": -9007199254740991,    "revenueAttributedMinor": -9007199254740991,    "currency": "string",    "createdAt": "string",    "updatedAt": "string"  },  "recipientStates": {    "property1": -9007199254740991,    "property2": -9007199254740991  },  "links": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "url": "string",      "clicks": -9007199254740991    }  ]}